Subject: bug#63255: Firefox crashes when triggering file dialog open

From: [email-masked]
Date: Fri, 5 May 2023 18:27:15 +0100

Ah, my apologies, I forgot Firefox is part of nonguix. I suppose I'm expected to report there and close this issue? I don't know how to close an issue here though.

As for your inquiries:

$ file /run/current-system/profile/share/icons/Adwaita/16x16/status/image-missing.png
/run/current-system/profile/share/icons/Adwaita/16x16/status/image-missing.png: symbolic link to /gnu/store/bdg4a8zqcz96pm6as8fhl1dk3gz8cchj-gtk-icon-themes/share/icons/Adwaita/16x16/status/image-missing.png
$ file /gnu/store/bdg4a8zqcz96pm6as8fhl1dk3gz8cchj-gtk-icon-themes/share/icons/Adwaita/16x16/status/image-missing.png
/gnu/store/bdg4a8zqcz96pm6as8fhl1dk3gz8cchj-gtk-icon-themes/share/icons/Adwaita/16x16/status/image-missing.png: PNG image data, 16 x 16, 8-bit/color RGBA, non-interlaced

And yes it also happens when I run `guix shell gdk-pixbuf librsvg -- firefox`.

On 5/4/23 9:43 AM, Josselin Poiret <[email-masked]> wrote:
> Hi Steven,
> 
> Steven Roose <[email-masked]> writes:
> 
> > Whenever I right click and "safe image as" or when I try to do a file
> > upload, firefox segfaults.
> >
> >
> > This is an excerpt trying to save google's logo to disk:
> >
> >
> > ** Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion
> > failed (error == NULL): Failed to load
> > /run/current-system/profile/share/icons/Adwaita/16x16/status/image-missing.png:
> > Unrecognized image file format (gdk-pixbuf-error-quark, 3) Bail out!
> > Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion failed
> > (error == NULL): Failed to load
> > /run/current-system/profile/share/icons/Adwaita/16x16/status/image-missing.png:
> > Unrecognized image file format (gdk-pixbuf-error-quark, 3) Redirecting
> > call to abort() to mozalloc_abort
> 
> Does this happen if you start firefox through `guix shell gdk-pixbuf
> librsvg -- firefox`?
> 
> Best,
>